<?php
$tdatainterview_result = array();
$tdatainterview_result[".searchableFields"] = array();
$tdatainterview_result[".ShortName"] = "interview_result";
$tdatainterview_result[".OwnerID"] = "";
$tdatainterview_result[".OriginalTable"] = "interview_result";


$tdatainterview_result[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatainterview_result[".originalPagesByType"] = $tdatainterview_result[".pagesByType"];
$tdatainterview_result[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatainterview_result[".originalPages"] = $tdatainterview_result[".pages"];
$tdatainterview_result[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatainterview_result[".originalDefaultPages"] = $tdatainterview_result[".defaultPages"];

//	field labels
$fieldLabelsinterview_result = array();
$fieldToolTipsinterview_result = array();
$pageTitlesinterview_result = array();
$placeHoldersinterview_result = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsinterview_result["English"] = array();
	$fieldToolTipsinterview_result["English"] = array();
	$placeHoldersinterview_result["English"] = array();
	$pageTitlesinterview_result["English"] = array();
	$fieldLabelsinterview_result["English"]["ResultID"] = "#";
	$fieldToolTipsinterview_result["English"]["ResultID"] = "";
	$placeHoldersinterview_result["English"]["ResultID"] = "";
	$fieldLabelsinterview_result["English"]["appointID"] = "ລະຫັດນັດໜາຍ";
	$fieldToolTipsinterview_result["English"]["appointID"] = "";
	$placeHoldersinterview_result["English"]["appointID"] = "";
	$fieldLabelsinterview_result["English"]["StatusInterview"] = "Status Interview";
	$fieldToolTipsinterview_result["English"]["StatusInterview"] = "";
	$placeHoldersinterview_result["English"]["StatusInterview"] = "";
	$fieldLabelsinterview_result["English"]["Daterecorde"] = "ວັນທີບັນທືກ";
	$fieldToolTipsinterview_result["English"]["Daterecorde"] = "";
	$placeHoldersinterview_result["English"]["Daterecorde"] = "";
	$fieldLabelsinterview_result["English"]["Noted"] = "ລາຍລະອຽດ";
	$fieldToolTipsinterview_result["English"]["Noted"] = "";
	$placeHoldersinterview_result["English"]["Noted"] = "";
	$pageTitlesinterview_result["English"]["list"] = "ຜົນການສໍາພາດ";
	if (count($fieldToolTipsinterview_result["English"]))
		$tdatainterview_result[".isUseToolTips"] = true;
}


	$tdatainterview_result[".NCSearch"] = true;



$tdatainterview_result[".shortTableName"] = "interview_result";
$tdatainterview_result[".nSecOptions"] = 0;

$tdatainterview_result[".mainTableOwnerID"] = "";
$tdatainterview_result[".entityType"] = 0;
$tdatainterview_result[".connId"] = "eflejob_at_localhost";


$tdatainterview_result[".strOriginalTableName"] = "interview_result";

	



$tdatainterview_result[".showAddInPopup"] = false;

$tdatainterview_result[".showEditInPopup"] = false;

$tdatainterview_result[".showViewInPopup"] = false;

	$tdatainterview_result[".listAjax"] = true;
//	temporary
//$tdatainterview_result[".listAjax"] = false;

	$tdatainterview_result[".audit"] = false;

	$tdatainterview_result[".locking"] = false;


$pages = $tdatainterview_result[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatainterview_result[".edit"] = true;
	$tdatainterview_result[".afterEditAction"] = 1;
	$tdatainterview_result[".closePopupAfterEdit"] = 1;
	$tdatainterview_result[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatainterview_result[".add"] = true;
$tdatainterview_result[".afterAddAction"] = 1;
$tdatainterview_result[".closePopupAfterAdd"] = 1;
$tdatainterview_result[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatainterview_result[".list"] = true;
}



$tdatainterview_result[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatainterview_result[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatainterview_result[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatainterview_result[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatainterview_result[".printFriendly"] = true;
}



$tdatainterview_result[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatainterview_result[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatainterview_result[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatainterview_result[".isUseAjaxSuggest"] = true;



						

$tdatainterview_result[".ajaxCodeSnippetAdded"] = false;

$tdatainterview_result[".buttonsAdded"] = false;

$tdatainterview_result[".addPageEvents"] = false;

// use timepicker for search panel
$tdatainterview_result[".isUseTimeForSearch"] = false;


$tdatainterview_result[".badgeColor"] = "edca00";


$tdatainterview_result[".allSearchFields"] = array();
$tdatainterview_result[".filterFields"] = array();
$tdatainterview_result[".requiredSearchFields"] = array();

$tdatainterview_result[".googleLikeFields"] = array();
$tdatainterview_result[".googleLikeFields"][] = "ResultID";
$tdatainterview_result[".googleLikeFields"][] = "appointID";
$tdatainterview_result[".googleLikeFields"][] = "StatusInterview";
$tdatainterview_result[".googleLikeFields"][] = "Daterecorde";
$tdatainterview_result[".googleLikeFields"][] = "Noted";



$tdatainterview_result[".tableType"] = "list";

$tdatainterview_result[".printerPageOrientation"] = 0;
$tdatainterview_result[".nPrinterPageScale"] = 100;

$tdatainterview_result[".nPrinterSplitRecords"] = 40;

$tdatainterview_result[".geocodingEnabled"] = false;










$tdatainterview_result[".pageSize"] = 20;

$tdatainterview_result[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatainterview_result[".strOrderBy"] = $tstrOrderBy;

$tdatainterview_result[".orderindexes"] = array();


$tdatainterview_result[".sqlHead"] = "SELECT ResultID,  	appointID,  	StatusInterview,  	Daterecorde,  	Noted";
$tdatainterview_result[".sqlFrom"] = "FROM interview_result";
$tdatainterview_result[".sqlWhereExpr"] = "";
$tdatainterview_result[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatainterview_result[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatainterview_result[".arrGroupsPerPage"] = $arrGPP;

$tdatainterview_result[".highlightSearchResults"] = true;

$tableKeysinterview_result = array();
$tableKeysinterview_result[] = "ResultID";
$tdatainterview_result[".Keys"] = $tableKeysinterview_result;


$tdatainterview_result[".hideMobileList"] = array();




//	ResultID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "ResultID";
	$fdata["GoodName"] = "ResultID";
	$fdata["ownerTable"] = "interview_result";
	$fdata["Label"] = GetFieldLabel("interview_result","ResultID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "ResultID";

		$fdata["sourceSingle"] = "ResultID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ResultID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatainterview_result["ResultID"] = $fdata;
		$tdatainterview_result[".searchableFields"][] = "ResultID";
//	appointID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "appointID";
	$fdata["GoodName"] = "appointID";
	$fdata["ownerTable"] = "interview_result";
	$fdata["Label"] = GetFieldLabel("interview_result","appointID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "appointID";

		$fdata["sourceSingle"] = "appointID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "appointID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatainterview_result["appointID"] = $fdata;
		$tdatainterview_result[".searchableFields"][] = "appointID";
//	StatusInterview
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "StatusInterview";
	$fdata["GoodName"] = "StatusInterview";
	$fdata["ownerTable"] = "interview_result";
	$fdata["Label"] = GetFieldLabel("interview_result","StatusInterview");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "StatusInterview";

		$fdata["sourceSingle"] = "StatusInterview";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StatusInterview";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatainterview_result["StatusInterview"] = $fdata;
		$tdatainterview_result[".searchableFields"][] = "StatusInterview";
//	Daterecorde
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Daterecorde";
	$fdata["GoodName"] = "Daterecorde";
	$fdata["ownerTable"] = "interview_result";
	$fdata["Label"] = GetFieldLabel("interview_result","Daterecorde");
	$fdata["FieldType"] = 7;


	
	
			

		$fdata["strField"] = "Daterecorde";

		$fdata["sourceSingle"] = "Daterecorde";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Daterecorde";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatainterview_result["Daterecorde"] = $fdata;
		$tdatainterview_result[".searchableFields"][] = "Daterecorde";
//	Noted
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Noted";
	$fdata["GoodName"] = "Noted";
	$fdata["ownerTable"] = "interview_result";
	$fdata["Label"] = GetFieldLabel("interview_result","Noted");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Noted";

		$fdata["sourceSingle"] = "Noted";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Noted";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatainterview_result["Noted"] = $fdata;
		$tdatainterview_result[".searchableFields"][] = "Noted";


$tables_data["interview_result"]=&$tdatainterview_result;
$field_labels["interview_result"] = &$fieldLabelsinterview_result;
$fieldToolTips["interview_result"] = &$fieldToolTipsinterview_result;
$placeHolders["interview_result"] = &$placeHoldersinterview_result;
$page_titles["interview_result"] = &$pageTitlesinterview_result;


changeTextControlsToDate( "interview_result" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["interview_result"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["interview_result"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="seeker_appoint_interview";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="seeker_appoint_interview";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "seeker_appoint_interview";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["interview_result"][0] = $masterParams;
				$masterTablesData["interview_result"][0]["masterKeys"] = array();
	$masterTablesData["interview_result"][0]["masterKeys"][]="appointID";
				$masterTablesData["interview_result"][0]["detailKeys"] = array();
	$masterTablesData["interview_result"][0]["detailKeys"][]="appointID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_interview_result()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "ResultID,  	appointID,  	StatusInterview,  	Daterecorde,  	Noted";
$proto0["m_strFrom"] = "FROM interview_result";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "ResultID",
	"m_strTable" => "interview_result",
	"m_srcTableName" => "interview_result"
));

$proto6["m_sql"] = "ResultID";
$proto6["m_srcTableName"] = "interview_result";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "appointID",
	"m_strTable" => "interview_result",
	"m_srcTableName" => "interview_result"
));

$proto8["m_sql"] = "appointID";
$proto8["m_srcTableName"] = "interview_result";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "StatusInterview",
	"m_strTable" => "interview_result",
	"m_srcTableName" => "interview_result"
));

$proto10["m_sql"] = "StatusInterview";
$proto10["m_srcTableName"] = "interview_result";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Daterecorde",
	"m_strTable" => "interview_result",
	"m_srcTableName" => "interview_result"
));

$proto12["m_sql"] = "Daterecorde";
$proto12["m_srcTableName"] = "interview_result";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Noted",
	"m_strTable" => "interview_result",
	"m_srcTableName" => "interview_result"
));

$proto14["m_sql"] = "Noted";
$proto14["m_srcTableName"] = "interview_result";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "interview_result";
$proto17["m_srcTableName"] = "interview_result";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "ResultID";
$proto17["m_columns"][] = "appointID";
$proto17["m_columns"][] = "StatusInterview";
$proto17["m_columns"][] = "Daterecorde";
$proto17["m_columns"][] = "Noted";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "interview_result";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "interview_result";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="interview_result";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_interview_result = createSqlQuery_interview_result();


	
		;

					

$tdatainterview_result[".sqlquery"] = $queryData_interview_result;



$tdatainterview_result[".hasEvents"] = false;

?>